io.undertow.server

## Class JvmRouteHandler.Builder

- java.lang.Object
- - io.undertow.server.JvmRouteHandler.Builder

All Implemented Interfaces:
  HandlerBuilder

Enclosing class:
  JvmRouteHandler

    public static class JvmRouteHandler.Builder
    extends Object
    implements HandlerBuilder

### Constructor Summary

Constructors
Constructor and Description
`Builder()`

### Method Summary

All Methods Instance Methods Concrete Methods
`HandlerWrapper` `build(Map<String,Object> config)` Creates the handler
`String` `defaultParameter()`
`String` `name()` The string representation of the handler name.
`Map<String,Class<?>>` `parameters()` Returns a map of parameters and their types.
`Set<String>` `requiredParameters()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Builder

    public Builder()

### Method Detail

#### name

    public String name()

Description copied from interface: `HandlerBuilder`
The string representation of the handler name.

Specified by:
  `name` in interface `HandlerBuilder`
Returns:
  The handler name

#### parameters

    public Map<String,Class<?>> parameters()

Description copied from interface: `HandlerBuilder`
Returns a map of parameters and their types.

Specified by:
  `parameters` in interface `HandlerBuilder`

#### requiredParameters

    public Set<String> requiredParameters()

Specified by:
  `requiredParameters` in interface `HandlerBuilder`
Returns:
  The required parameters

#### defaultParameter

    public String defaultParameter()

Specified by:
  `defaultParameter` in interface `HandlerBuilder`
Returns:
  The default parameter name, or null if it does not have a default parameter

#### build

    public HandlerWrapper build(Map<String,Object> config)

Description copied from interface: `HandlerBuilder`
Creates the handler

Specified by:
  `build` in interface `HandlerBuilder`
Parameters:
  `config` - The handler config
Returns:
  The new predicate